#ifndef PPM_INC_INCLUDED
#define PPM_INC_INCLUDED
!$$$ppm.inc.in --- base definitions for PPM
!$$$
!$$$Copyright  (C)  2010  Thomas Jahns <jahns@dkrz.de>
!$$$
!$$$Version: 1.0
!$$$Author: Thomas Jahns <jahns@dkrz.de>
!$$$Maintainer: Thomas Jahns <jahns@dkrz.de>
!$$$URL: https://www.dkrz.de/redmine/projects/scales-ppm
!$$$
!$$$Redistribution and use in source and binary forms, with or without
!$$$modification, are  permitted provided that the following conditions are
!$$$met:
!$$$
!$$$Redistributions of source code must retain the above copyright notice,
!$$$this list of conditions and the following disclaimer.
!$$$
!$$$Redistributions in binary form must reproduce the above copyright
!$$$notice, this list of conditions and the following disclaimer in the
!$$$documentation and/or other materials provided with the distribution.
!$$$
!$$$Neither the name of the DKRZ GmbH nor the names of its contributors
!$$$may be used to endorse or promote products derived from this software
!$$$without specific prior written permission.
!$$$
!$$$THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
!$$$IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
!$$$TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
!$$$PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
!$$$OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
!$$$EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
!$$$PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
!$$$PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
!$$$LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
!$$$NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
!$$$SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
!$$$
!$$$Commentary: 
!$$$
!$$$
!$$$
!$$$Code:
!$$$
! -*- fortran -*-
! Fortran interface for partitioning and parallelization module
!

      INTEGER PPM_METIS_IDX
      PARAMETER (PPM_METIS_IDX=c_int)
      INTEGER PPM_METIS_REAL
      PARAMETER (PPM_METIS_REAL=c_float)
      INTEGER PPM_MPI_FINT_FC_KIND
      PARAMETER (PPM_MPI_FINT_FC_KIND=-1)
! Local Variables:
! mode: Fortran
! license-project-url: "https://www.dkrz.de/redmine/projects/scales-ppm"
! license-default: "bsd"
! End:
#endif
